namespace MyOffice.Data.Repositories.Item;

using MyOffice.Data.Models.Notifications;

public class EmailTemplateRepository : AppRepository<EmailTemplate>, IEmailTemplateRepository
{
	public EmailTemplate? Get(EmailTemplateEnum emailTemplate)
	{
		var emailTemplateStr = emailTemplate.ToString();
		return _context.EmailTemplates.FirstOrDefault(x => x.Id == emailTemplateStr);
	}
}